Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

cpanel apache and pthread

Discussion in 'EasyApache' started by anup123, Nov 11, 2005.

  1. anup123

    anup123 Well-Known Member

    Joined:
    Mar 29, 2004
    Messages:
    890
    Likes Received:
    1
    Trophy Points:
    168
    Location:
    This Planet
    Hello,

    ldd /usr/local/apache/bin/httpd
    libm.so.6 => /lib/tls/libm.so.6 (0x00d30000)
    libcrypt.so.1 => /lib/libcrypt.so.1 (0x00d6b000)
    libgdbm.so.2 => /usr/lib/libgdbm.so.2 (0x00111000)
    libssl.so.4 => /lib/libssl.so.4 (0x003dc000)
    libcrypto.so.4 => /lib/libcrypto.so.4 (0x005db000)
    libexpat.so.0 => /usr/lib/libexpat.so.0 (0x00dc7000)
    libdl.so.2 => /lib/libdl.so.2 (0x00d55000)
    libc.so.6 => /lib/tls/libc.so.6 (0x00c04000)
    /lib/ld-linux.so.2 (0x00beb000)
    libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00168000)
    libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x0017c000)
    libcom_err.so.2 => /lib/libcom_err.so.2 (0x00d5b000)
    libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00117000)
    libresolv.so.2 => /lib/libresolv.so.2 (0x00138000)
    libz.so.1 => /usr/local/cpanel/lib/libz.so.1 (0x00b87000)

    Couldn't find any pthread support which means apache of cpanel is compiled without pthread support. WHM Apache upgrade doesn't have any provision of having pthread support built into apache.

    There are many cases where pthread is a necessity.
    Why is it that it is not provided by cPanel? Or is it that i am missing something.

    TIA
    Anup
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice